/* HERO SECTION */
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
:root{

  /* COLORS */

  --primary-red:#ff2b2b;
  --bg-black:#000;
  --text-light:#dddddd;
  --bg-light:#f2f2f2;

  /* FONTS */

  --font-heading:'Roboto', sans-serif;
  --font-body:'Open Sans', sans-serif;

  /* TYPOGRAPHY */

  --hero-title:
clamp(54px, 7vw, 84px);

--section-title:
clamp(40px, 5vw, 64px);

--card-title:
clamp(24px, 2.5vw, 34px);

--body-large:
clamp(18px, 1.8vw, 22px);

--body-text:
clamp(16px, 1.3vw, 18px);

}
body{
  margin:0;
font-family:var(--font-body);
background-color: var(--bg-black);
overflow-x:hidden;
}
html{
  overflow-x:hidden;
}
h1,
h2,
h3,
.logo,
.quote-btn{
  font-family:var(--font-heading);
}
.hero-section{

  min-height:100vh;

  background:
  linear-gradient(
     90deg,
    rgba(0,0,0,.94) 0%,
    rgba(0,0,0,.88) 35%,
    rgba(0,0,0,.78) 65%,
    rgba(0,0,0,.72) 100%
  ),
  url('images/service-new.webp');

  background-size:cover;

  background-size:cover;

 background-position: 120% center;
  color:var(--bg-light);

  padding:0 60px 60px 60px;
  padding-top:140px;

}

/* NAVBAR */

.navbar{

  display:flex;

  justify-content:space-between;

  align-items:center;

  position:fixed;

  top:0;

  left:0;

  width:100%;

  z-index:9999;

  padding:18px 90px;

  transition:0.4s ease;
  background-color: var(--bg-black);

}

.logo img{
  width:130px;
}

.nav-links{

  display:flex;
  gap:40px;

}

.nav-links a{

  color:var(--text-light);

  text-decoration:none;

  font-size:var(--body-text);

  transition:0.3s;

  position:relative;

  padding-bottom:6px;

  display:inline-block;

}

.nav-links a.active{
  color:var(--primary-red);
}

.nav-links a.active::after{
  width:100%;
}

.nav-links a:hover{
  color:var(--primary-red);
}
/* RED LINE */

.nav-links a::after{

  content:"";

  position:absolute;

  left:0;

  bottom:0;

  width:0%;

  height:3px;

  background:var(--primary-red);

  transition:0.3s ease;

}

/* SHOW LINE */

.nav-links a:hover::after{

  width:100%;

}
/* BUTTON */

.quote-btn{

  background:var(--primary-red);
  color:var(--bg-light);

  text-decoration:none;

  padding:16px 28px;

  font-weight:700;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;

}

.quote-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);


}
/* HAMBURGER */

.hamburger{

  display:none;

  flex-direction:column;

  gap:6px;

  cursor:pointer;

}

.hamburger span{

  width:30px;

  height:3px;

  background:var(--text-light);

  border-radius:10px;

}

.navbar.scrolled{

  background:rgba(0,0,0,0.95);

  backdrop-filter:blur(10px);

  box-shadow:0 5px 20px rgba(0,0,0,0.4);

}

.navbar.hide{

  transform:translateY(-120%);

}
/* DROPDOWN */

.dropdown{

  position:relative;

}

/* PROJECTS LINK */

.dropdown-link{

  display:flex;

  align-items:center;

  gap:8px;

}


/* DROPDOWN MENU */

.dropdown-menu{

  position:absolute;

  top:140%;

  left:0;

  background:var(--bg-black);

  min-width:240px;

  padding:15px 0;

  border:1px solid rgba(255,255,255,0.1);

  opacity:0;

  visibility:hidden;

  transform:translateY(10px);

  transition:0.3s ease;

  z-index:999;

}

/* DROPDOWN LINKS */

.dropdown-menu a{

  display:block;

  padding:14px 22px;

  color:var(--text-light);

  text-decoration:none;

  font-size:16px;

  transition:0.3s ease;

}

/* HOVER EFFECT */

.dropdown-menu a:hover{

  background:var(--primary-red);

  color:var(--text-light);

}

/* SHOW MENU */

.dropdown:hover .dropdown-menu{

  opacity:1;

  visibility:visible;

  transform:translateY(0);

}
/* HERO CONTENT */

.hero-content{

 margin-top:50px;
  max-width: 70%;
padding-top:5px;
margin-left: 20px;
}

.hero-top-text{

  color:var(--primary-red);

  font-size:28px;
  font-weight:700;

  margin-bottom:30px;

}

.hero-content h1{

  font-size:var(--hero-title);
  line-height:0.95;

  font-weight:900;

  margin-bottom:30px;

  

}

.hero-content h1 span{
  color:var(--primary-red);
}

.hero-bottom-text{

  color:var(--primary-red);

   font-size:34px;
  font-weight:700;

  margin-bottom:30px;

}

.hero-description{

  font-size:var(--body-large);
  line-height:1.6;

  color:#dddddd;

  margin-bottom:50px;

  max-width:70%;

}

/* HERO BUTTONS */

.hero-buttons{

  display:flex;
  gap:30px;

  margin-bottom:60px;

}

.primary-btn{

  background:var(--primary-red);
  color:var(--text-light);

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;

}
.primary-btn:hover{

 background:var(--bg-light);

  color:var(--bg-black);


}

.secondary-btn{

  border:2px solid var(--bg-light);
  color:var(--bg-light);

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;
  display:flex;
  align-items:center;
  gap:12px;


}

.secondary-btn:hover{

 background:var(--bg-light);

  color:var(--bg-black);

}

.contact-divider{
  width:100%;
  max-width:700px;
  height:1px;
  background:rgba(255,255,255,0.15);
  margin:35px 0;
}
/* SERVICE CHECKLIST */

.hero-services{

    display:flex;
    flex-wrap:wrap;
    align-items:center;
    gap:0;

    margin-top:20px;
    padding-bottom: 50px;

}

.service-item{

    display:flex;
    align-items:center;
    gap:14px;

    padding:0 28px;

    position:relative;

}

.service-item:first-child{
    padding-left:0;
}

/* Divider */

.service-item:not(:last-child)::after{

    content:"";

    position:absolute;

    right:0;
    top:50%;

    transform:translateY(-50%);

    width:1px;
    height:55px;

    background:rgba(255,255,255,.2);

}

.service-item i{

    color:var(--primary-red);

    font-size:26px;

}

.service-item div{

    display:flex;
    flex-direction:column;

}

.service-item strong{

    font-size:20px;
    display:inline-flex;

  align-items:center;

    color:var(--bg-light);

}

.service-item span{

    font-size:14px;

    color:#bfbfbf;

}

/* ===================================
   SERVICES SHOWCASE
=================================== */

.services-showcase{

  background:var(--bg-black);

}

/* MAIN BOX */

.showcase-box{

  display:flex;

  align-items:center;

  min-height:700px;

}

/* REVERSE LAYOUT */

.showcase-box.reverse{

  flex-direction:row-reverse;

}

/* BOTH SIDES */

.showcase-content,
.showcase-image{

  width:50%;

}

/* =========================
   TEXT SIDE
========================= */

.showcase-content{

  display:flex;

  gap:35px;

  padding:70px;

}

/* ICON */

.showcase-icon{

  font-size:75px;

  color:var(--primary-red);

  flex-shrink:0;

}

/* TITLE */

.showcase-text h2{

  color:var(--text-light);

  font-size:var(--section-title);

  margin-bottom:25px;

  font-weight:900;

}

/* DESCRIPTION */

.showcase-text p{

  color:#dddddd;

  font-size:var(--body-large);

  line-height:1.6;

  margin-bottom:35px;

}

/* LIST */

.showcase-text ul{

  list-style:none;

  margin-bottom:40px;

}

.showcase-text ul li{

  color:var(--text-light);

font-size:var(--body-large);

  margin-bottom:22px;

  display:flex;

  align-items:center;

  gap:15px;

}

/* CHECK ICON */

.showcase-text ul li i{

  color:var(--primary-red);

}

/* BUTTON */

.view-btn{

  display:inline-block;

  color:var(--text-light);

  text-decoration:none;

  border:2px solid var(--bg-light);

  padding:18px 45px;

  font-weight:700;

  transition:0.3s ease;

}

.view-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}

.showcase-buttons{

  display:flex;

  gap:15px;

  flex-wrap:wrap;

}

.getquote-btn{

  display:inline-block;

  background:var(--primary-red);

  color:var(--text-light);

  text-decoration:none;

  padding:18px 45px;

  font-weight:700;

  transition:0.3s ease;

}

.getquote-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}

/* =========================
   IMAGE SIDE
========================= */

.showcase-image{

  height:700px;

}

.showcase-image img{

  width:100%;

  height:100%;

  object-fit:cover;

  display:block;

}


/* =========================
   CTA SECTION
========================= */

.cta-section{

  min-height:600px;

  background-image:

  linear-gradient(
    rgba(0,0,0,0.72),
    rgba(0,0,0,0.72)
  ),

  url("images/build-bg.webp");

  background-size:cover;

  background-position:right center;

  background-repeat:no-repeat;

  display:flex;

  align-items:center;

  justify-content:center;

  text-align:center;

  padding:80px 25px;

}

/* CONTENT */

.cta-overlay{

  max-width:1200px;

}

/* SMALL TITLE */

.cta-small-title{

  color:var(--primary-red);

  font-size:28px;

  font-weight:800;

  margin-bottom:25px;

}

/* BIG TITLE */

.cta-title{

  color:var(--text-light);

   font-size:var(--hero-title);

  line-height:1.05;

  font-weight:900;

  font-style:italic;

  margin-bottom:35px;

}

/* DESCRIPTION */

.cta-description{

  color:#dddddd;

  font-size:var(--body-large);

  line-height:1.7;

  max-width:1100px;

  margin:auto;

  margin-bottom:45px;

}

/* BUTTON */

.cta-btn{

  display:inline-block;

  background:var(--primary-red);

  color:var(--text-light);

  text-decoration:none;

  padding:20px 55px;

  font-size:20px;

  font-weight:700;

  transition:0.3s ease;

}

.cta-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}


/* ========================= */
/* LIVE MAP SECTION */
/* ========================= */

.map-section{

  background:#f2f2f2;

  padding:80px 70px;

}

/* MAP BOX */

.map-container{

  width:100%;

  height:650px;

  overflow:hidden;

}

/* IFRAME */

.map-container iframe{

  width:100%;

  height:100%;

  display:block;

}

/* ========================= */
/* FOOTER CONTACT SECTION */
/* ========================= */

.footer-contact{

  background:var(--bg-black);

  padding:80px 70px 20px;

}

/* CONTAINER */

.footer-container{

  display:grid;

  grid-template-columns:
  1fr 1fr;

  gap:80px;

}

/* SMALL TITLE */

.footer-small-title{

  color:var(--primary-red);

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* BIG TITLE */

.footer-title{

  color:var(--text-light);

    font-size:var(--hero-title);

  line-height:1.15;

  font-weight:900;

  margin-bottom:20px;

}
.footer-title span{
  color:var(--primary-red);
}

/* LOGO */

.footer-logo{

  width:260px;

  margin-bottom:0px;

}
/* DESCRIPTION */

.footer-description{

  color:#dddddd;

  font-size:var(--body-large);

  line-height:1.7;

  max-width:700px;
  margin-top:40px;

}
.footer-left{

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

  align-self:start;

}

/* RIGHT TEXT */

.footer-text{

  color:var(--text-light);

  font-size:var(--body-large);

  margin-bottom:40px;

}

/* MESSENGER BUTTON */

.messenger-btn{

  display:inline-flex;

  align-items:center;

  gap:15px;

  background:var(--primary-red);

  color:var(--text-light);

  text-decoration:none;

  padding:22px 32px;

  font-size:var(--body-large);

  font-weight:700;

  margin-bottom:50px;

  transition:0.3s;

}

.messenger-btn:hover{

  background:var(--text-light);

  color:var(--bg-black);

}

/* CONTACT LIST */

.footer-contact-list{

  display:flex;

  flex-direction:column;

  gap:35px;

}

/* ITEM */

.footer-contact-item{

  display:flex;

  align-items:center;

  gap:25px;

}

/* ICON CIRCLE */

.footer-icon-circle{

  width:85px;

  height:85px;

  min-width:85px;

  border-radius:50%;

  background:var(--primary-red);

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.footer-icon-circle i{

  color:var(--text-light);

  font-size:38px;

}

/* TEXT */

.footer-contact-item p{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.5;

}

/* COPYRIGHT */

.footer-bottom{

  text-align:center;

  color:#bbbbbb;

  font-size:16px;

  margin-top:80px;

}

/* ========================= */
/* FADE IN ANIMATION */
/* ========================= */

.fade-in{

  opacity:0;

  transform:translateY(40px);

  transition:
  opacity 0.9s ease,
  transform 0.9s ease;

}

/* ACTIVE */

.fade-in.show{

  opacity:1;

  transform:translateY(0);

}

/* FLOATING WHATSAPP */

.floating-whatsapp{

  position:fixed;

  bottom:30px;
  right:30px;

  width:70px;
  height:70px;

  border-radius:50%;

  background:#25D366;

  display:flex;
  justify-content:center;
  align-items:center;

  text-decoration:none;

  z-index:9999;

  box-shadow:
  0 10px 25px rgba(0,0,0,.3);

  transition:.3s ease;

    animation:
  whatsappPulse 2s infinite;

}

.floating-whatsapp i{

  color:white;

  font-size:38px;

}

.floating-whatsapp:hover{

  transform:translateY(-4px) scale(1.05);

}

.wa-tooltip{

  position:absolute;

  right:85px;

  background:#fff;

  color:#000;

  padding:10px 14px;

  border-radius:8px;

  white-space:nowrap;

  font-size:14px;

  font-weight:700;

  opacity:0;

  transition:.3s;

}

.floating-whatsapp:hover .wa-tooltip{

  opacity:1;

}

@keyframes whatsappPulse{

  0%{

    box-shadow:
    0 0 0 0 rgba(37,211,102,.7);

  }

  70%{

    box-shadow:
    0 0 0 20px rgba(37,211,102,0);

  }

  100%{

    box-shadow:
    0 0 0 0 rgba(37,211,102,0);

  }

}

/* ===================================
   GLOBAL TABLET RESPONSIVE
=================================== */

@media(max-width:1200px){

  .navbar{

    padding:18px 40px;

  }

  .nav-links{

    gap:25px;

  }

  .nav-links a{

    font-size:16px;

  }

  .quote-btn{

    padding:14px 22px;

    font-size:14px;

  }

  .logo img{

    width:110px;

  }

}

@media(max-width:1024px){

  /* GLOBAL */

  body{
    overflow-x:hidden;
  }

  section{
    overflow:hidden;
  }

  /* NAVBAR */

  .navbar{

    padding:18px 40px;
  }

  .logo img{

    width:120px;
  }

  .nav-links{

    gap:22px;
  }

  .nav-links a{

    font-size:15px;
  }

  /* HERO SECTION */

  .hero-section{

    min-height:750px;

    padding:
    140px 45px
    90px;

    background-position:center;
  }

  .hero-content{

    max-width:760px;

    margin-left:0;

    margin-top:20px;
  }

  .hero-top-text{

    font-size:24px;

    margin-bottom:25px;
  }

  .hero-content h1{

    font-size:64px;

    line-height:0.95;

    margin-bottom:28px;
  }

  .hero-description{

    font-size:20px;

    line-height:1.6;

    max-width:620px;

    margin-bottom:40px;
  }

  /* HERO BUTTONS */

  .hero-buttons{

    gap:18px;
  }

  .primary-btn,
  .secondary-btn{

    padding:18px 30px;

    font-size:16px;
  }
  .hero-services{

    gap:25px;
    justify-content:flex-start;

}

.service-item{

    width:calc(50% - 15px);
    padding:0;

}

.service-item::after{
    display:none;
}

  /* SHOWCASE SECTION */

  .showcase-box,
  .showcase-box.reverse{

    min-height:auto;

    flex-direction:column;
  }

  .showcase-content,
  .showcase-image{

    width:100%;
  }

  .showcase-content{

    padding:55px 40px;

    gap:28px;
  }

  .showcase-icon{

    font-size:60px;
  }

  .showcase-text h2{

    font-size:52px;

    line-height:1.05;

    margin-bottom:20px;
  }

  .showcase-text p{

    font-size:20px;

    line-height:1.7;

    margin-bottom:28px;
  }

  .showcase-text ul{

    margin-bottom:30px;
  }

  .showcase-text ul li{

    font-size:var(--body-text);

    margin-bottom:18px;
  }

  .view-btn{

    padding:18px 32px;

    font-size:16px;
  }

  /* IMAGE SIDE */

  .showcase-image{

    height:420px;
  }

  .showcase-image img{

    object-fit:cover;

    object-position:center;
  }

  /* CTA SECTION */

  .cta-section{

    min-height:500px;

    padding:80px 40px;

    background-position:center;
  }

  .cta-small-title{

    font-size:24px;

    margin-bottom:22px;
  }

  .cta-title{

    font-size:58px;

    line-height:1.05;

    margin-bottom:28px;
  }

  .cta-description{

    font-size:20px;

    max-width:760px;

    margin-bottom:38px;
  }

  .cta-btn{

    padding:18px 40px;

   font-size:var(--body-text);
  }

  /* MAP */

  .map-section{

    padding:60px 40px;
  }

  .map-container{

    height:500px;
  }

  /* FOOTER */

  .footer-contact{

    padding:80px 40px 25px;
  }

  .footer-container{

    grid-template-columns:1fr;

    gap:60px;
  }

  .footer-small-title{

    font-size:24px;
  }

  .footer-title{

    font-size:62px;

    line-height:1.05;
  }

  .footer-logo{

    width:220px;
  }

  .footer-description{

    font-size:20px;

    max-width:700px;
  }

  .footer-text{

    font-size:20px;
  }

  .messenger-btn{

    font-size:var(--body-text);

    padding:20px 28px;
  }

  .footer-contact-list{

    gap:28px;
  }

  .footer-contact-item{

    gap:20px;
  }

  .footer-icon-circle{

    width:75px;
    height:75px;
    min-width:75px;
  }

  .footer-icon-circle i{

    font-size:30px;
  }

  .footer-contact-item p{

    font-size:var(--body-text);
  }

  .footer-bottom{

    margin-top:60px;

    font-size:15px;
  }

}
/* ===================================
   GLOBAL MOBILE RESPONSIVE
=================================== */

@media(max-width:1000px){

  .map-section{

    padding:40px 20px;

  }

  .map-container{

    height:450px;

  }

}

@media(max-width:900px){

  .nav-links{

    position:absolute;

    top:100px;

    right:0;

    background:var(--bg-black);

    width:100%;

    flex-direction:column;

    align-items:center;

    padding:40px 0;

    gap:30px;

    display:none;

  }

  .nav-links.active{

    display:flex;

  }

  .hamburger{

    display:flex;

  }

  .quote-btn{

    display:none;

  }

}

@media(max-width:768px){

  /* GLOBAL */

  body{

    overflow-x:hidden;

  }

  section{

    overflow:hidden;

  }

  /* NAVBAR */

  .navbar{

    padding:18px 22px;

  }

  .logo img{

    width:110px;

  }

  /* HERO SECTION */

  .hero-section{

  padding:
    120px 25px 70px;

    background-position:center;

  }

  .hero-content{


    margin-top:20px;

  }

  .hero-top-text{

    font-size:20px;

    margin-bottom:22px;

  }

  .hero-content h1{

    font-size:54px;

    line-height:0.95;

    word-break:break-word;

  }

  .hero-description{

    font-size:var(--body-text);

    line-height:1.7;

    margin-bottom:35px;

  }

  /* HERO BUTTONS */

  .hero-buttons{

    flex-direction:column;

    gap:18px;

    width:100%;

  }

  .primary-btn,
  .secondary-btn{

    width:auto;
    min-width:260px;
     max-width:320px;

    justify-content:center;

    text-align:center;

    padding:20px;

  }
  .contact-divider{
    margin:30px 0;
  }
.hero-services{

    flex-direction:column;
    align-items:flex-start;

    gap:24px;

}

.service-item{

    width:100%;
    padding:0;

}

.service-item::after{
    display:none;
}

.service-item strong{

    font-size:18px;

}

.service-item span{

    font-size:14px;

}

  /* SERVICES */

  .showcase-box{

    min-height:auto;

  }

  .showcase-content{

    padding:40px 22px;

    gap:22px;

  }

  .showcase-icon{

    font-size:48px;

  }

  .showcase-text h2{

    font-size:38px;

    line-height:1.1;

  }

  .showcase-text p{

    font-size:var(--body-text);

    line-height:1.7;

  }

  .showcase-text ul li{

    font-size:16px;

    line-height:1.5;

  }

  .showcase-image{

    height:280px;

  }

  .showcase-image img{

    object-fit:cover;

    object-position:center;

  }
.showcase-buttons{

  flex-direction:column;

}
  .view-btn,.getquote-btn{

    width:auto;
    min-width:260px;
     max-width:320px;

    text-align:center;

    padding:18px;

  }

  /* CTA */

  .cta-section{

    min-height:auto;

    padding:70px 22px;

    background-position:center;

  }

  .cta-small-title{

    font-size:20px;

  }

  .cta-title{

    font-size:42px;

    line-height:1.1;

  }

  .cta-description{

    font-size:var(--body-text);

  }

  .cta-btn{

    width:100%;

    padding:18px;

  }

  /* MAP */

  .map-section{

    padding:25px 15px;

  }

  .map-container{

    height:320px;

  }

  /* FOOTER */

  .footer-contact{

    padding:60px 22px 25px;

  }

  .footer-container{

    grid-template-columns:1fr;

    gap:55px;

  }

  .footer-small-title{

    font-size:24px;

    margin-bottom:25px;

  }

  .footer-title{

    font-size:52px;

    line-height:1.05;

  }

  .footer-logo{

    width:180px;

  }

  .footer-description{

    font-size:var(--body-text);

    line-height:1.7;

  }

  .footer-text{

    font-size:var(--body-text);

    line-height:1.6;

  }

  .messenger-btn{

    width:auto;
    min-width:260px;
     max-width:320px;

    justify-content:center;

    text-align:center;

    font-size:16px;

    padding:18px;

  }

  /* CONTACT ITEMS */

  .footer-contact-item{

    align-items:flex-start;

    gap:18px;

  }

  .footer-icon-circle{

    width:65px;

    height:65px;

    min-width:65px;

  }

  .footer-icon-circle i{

    font-size:28px;

  }

  .footer-contact-item p{

    font-size:17px;

    line-height:1.6;

    word-break:break-word;

  }

  /* COPYRIGHT */

  .footer-bottom{

    margin-top:50px;

    font-size:14px;

    line-height:1.6;

  }

  .floating-whatsapp{

    width:60px;
    height:60px;

    right:20px;
    bottom:20px;

  }

  .floating-whatsapp i{

    font-size:32px;

  }

   .wa-tooltip{
    display:none;
  }

}